$schema: "http://json-schema.org/draft-06/schema#"

title: compute beta Subsetting export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  policy:
    description: A PolicyValueValuesEnum attribute.
    type: string
    enum:
    - CONSISTENT_HASH_SUBSETTING
    - NONE
  subsetSize:
    description: |-
      The number of backends per backend group assigned to each proxy instance
      or each service mesh client.  An input parameter to the
      `CONSISTENT_HASH_SUBSETTING` algorithm. Can only be set if `policy` is set
      to `CONSISTENT_HASH_SUBSETTING`. Can only be set if load balancing scheme
      is `INTERNAL_MANAGED` or `INTERNAL_SELF_MANAGED`.  `subset_size` is
      optional for Internal HTTP(S) load balancing and required for Traffic
      Director.  If you do not provide this value, Cloud Load Balancing will
      calculate it dynamically to optimize the number of proxies/clients visible
      to each backend and vice versa.  Must be greater than 0. If `subset_size`
      is larger than the number of backends/endpoints, then subsetting is
      disabled.
    type: integer
